This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 503393 - BUG: unable to handle kernel paging request in usb_kill_urb
BUG: unable to handle kernel paging request in usb_kill_urb
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-31 14:24 EDT by Pawel Salek
Modified: 2009-12-18 04:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:30:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (121.29 KB, text/plain)
2009-05-31 14:24 EDT, Pawel Salek
no flags Details

  None (edit)
Description Pawel Salek 2009-05-31 14:24:46 EDT
Created attachment 346021 [details]
dmesg

Description of problem:
HUAWEI E160 UTMS modem appeared to stop responding. I could not disconnect it via NetworkManager, if I remember correctly. Pulling it out the hard way caused the message as below to be logged.

Version-Release number of selected component (if applicable):
kernel-2.6.27.24-170.2.68.fc10.x86_64

How reproducible:
The bug has been logged just once so far.
  
Actual results:
BUG: unable to handle kernel paging request at ffffffff810c1424
IP: [<ffffffff8123df64>] usb_kill_urb+0x4f/0xfa
PGD 203067 PUD 207063 PMD 7c545163 PTE 2c1161
Oops: 0003 [1] SMP 
CPU 0 


Expected results:
modem works as expected.

Additional info:
Complete dmesg will be attached.
Comment 1 Chuck Ebbert 2009-06-04 12:35:26 EDT
Can you try kernel-2.6.29.4-75 from the updates-testing repository?
Comment 2 Chuck Ebbert 2009-06-05 02:28:20 EDT
BUG: unable to handle kernel paging request at ffffffff810c1424
IP: [<ffffffff8123df64>] usb_kill_urb+0x4f/0xfa
PGD 203067 PUD 207063 PMD 7c545163 PTE 2c1161
Oops: 0003 [1] SMP 
CPU 0 
Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc nls_utf8 option usbserial usb_storage fuse i915 drm bridge stp bnep sco l2cap bluetooth coretemp hwmon ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 cpufreq_ondemand acpi_cpufreq freq_table dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss arc4 snd_mixer_oss snd_pcm ecb snd_timer crypto_blkcipher firewire_ohci snd_page_alloc video snd_hwdep iTCO_wdt iwlagn firewire_core crc_itu_t snd soundcore pcspkr dcdbas joydev iTCO_vendor_support iwlcore rfkill mac80211 yenta_socket rsrc_nonstatic i2c_i801 i2c_core output battery cfg80211 tg3 libphy wmi ac ata_generic pata_acpi [last unloaded: microcode]
Pid: 2136, comm: NetworkManager Not tainted 2.6.27.24-170.2.68.fc10.x86_64 #1 Latitude D630                   
RIP: 0010:[<ffffffff8123df64>]  [<ffffffff8123df64>] usb_kill_urb+0x4f/0xfa
RSP: 0018:ffff88007922bd08  EFLAGS: 00010246
RAX: 0000000000000000 RBX: ffffffff810c1410 RCX: 0000000000000003
RDX: 0000000000000000 RSI: ffff88007922bcf8 RDI: ffffffff814df5c0
RBP: ffff88007922bd48 R08: ffff88007922bde8 R09: 0000000000000001
R10: 0000080000000040 R11: 0000000000000202 R12: ffff88007c9bf180
R13: ffff88007c9bf1e8 R14: ffff880069c0b000 R15: ffff880034c70800
FS:  00007fb8b0a0d7e0(0000) GS:ffffffff81717000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: ffffffff810c1424 CR3: 0000000079217000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process NetworkManager (pid: 2136, threadinfo ffff88007922a000, task ffff880079025c40)
Stack:  ffff88007922bd18 ffffffff810310c3 ffff88007922bd28 ffffffff8133212a
 ffff88007922bd48 ffffffff813326c9 ffff88007c9bff00 ffff88007c9bf180
 ffff88007922bd88 ffffffffa0374747 ffff88007922bd68 ffff880069c0b000
Call Trace:
 [<ffffffff810310c3>] ? need_resched+0x1e/0x28
 [<ffffffff8133212a>] ? _cond_resched+0x9/0x38
 [<ffffffff813326c9>] ? mutex_lock+0x22/0x33
 [<ffffffffa0374747>] option_close+0x9a/0xe4 [option]
 [<ffffffffa036ab7e>] serial_close+0xa3/0x140 [usbserial]
 [<ffffffff811d0c0c>] release_dev+0x1e1/0x4e3
 [<ffffffff8116b6ef>] ? rb_erase+0x1cd/0x2a0
 [<ffffffff8100ea2c>] ? __switch_to+0x3ce/0x3e0
 [<ffffffff8103413e>] ? pick_next_task_fair+0x9d/0xac
 [<ffffffff811d1021>] tty_release+0x19/0x25
 [<ffffffff810c153b>] __fput+0xca/0x16d
 [<ffffffff810c15f3>] fput+0x15/0x17
 [<ffffffff810bea95>] filp_close+0x67/0x72
 [<ffffffff810beb4d>] sys_close+0xad/0xf0
 [<ffffffff8101027a>] system_call_fastpath+0x16/0x1b


Code: 48 85 db 0f 84 c4 00 00 00 48 83 7b 48 00 0f 84 b9 00 00 00 48 83 7b 50 00 0f 84 ae 00 00 00 48 c7 c7 c0 f5 4d 81 e8 43 47 0f 00 <fe> 43 14 48 c7 c7 c0 f5 4d 81 e8 0b 47 0f 00 be fe ff ff ff 48
Comment 3 Bug Zapper 2009-11-18 07:03:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:30:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.